Bug 39312 - Writer improvement: Reorder buttons in “Paragraph Style” dialog for better usability
Summary: Writer improvement: Reorder buttons in “Paragraph Style” dialog for better us...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Dialog-Buttons-Unification Paragraph-Dialog
  Show dependency treegraph
 
Reported: 2011-07-17 10:57 UTC by Adolfo Jayme
Modified: 2018-03-27 17:53 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the new layout (73.47 KB, image/png)
2018-03-21 10:13 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2011-07-17 10:57:47 UTC
Currently, the “Paragraph Style” dialog has six action buttons:
[OK] [Apply] [Cancel] [Help] [Reset] [Standard].

This layout is extremely confusing and unacceptable. Please reorder these buttons more accordingly, based on its actions:
[Help] [Reset] [Standard]       [OK] [Cancel] [Apply]

By separating and reordering the buttons, the interface would look more cleaner and logical.

(By the way, what’s the difference between [Reset] and [Standard]? Maybe these two buttons could be merged into one dropdown button.)
Comment 1 Björn Michaelsen 2011-12-23 12:26:05 UTC Comment hidden (obsolete)
Comment 2 Florian Reisinger 2012-08-14 14:01:36 UTC Comment hidden (obsolete)
Comment 3 Florian Reisinger 2012-08-14 14:02:40 UTC Comment hidden (obsolete)
Comment 4 Florian Reisinger 2012-08-14 14:07:14 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 14:09:21 UTC Comment hidden (obsolete)
Comment 6 Adolfo Jayme 2012-08-14 18:02:19 UTC
Sorry, I forgot about this one! The bug's still there.
Comment 7 sasha.libreoffice 2012-09-28 11:58:49 UTC
It is about Writer. Other modules have only 5 buttons in style editing dialog.
It is enhancement request, as I can see.
Comment 8 Olivier Hallot 2018-02-21 17:56:58 UTC
Given the time this bug was opened, I wonder if it is still valid.
Comment 9 Thomas Lendo 2018-02-26 23:42:26 UTC
As all other dialogs in LibO also have these buttons on the right side, I wouldn't move [Reset] and [Standard] to the left side in the paragraph style dialog -- or it must be moved in all other style dialogs and other dialogs as well.

Today, HIG is default as it's implemented now [1].

Instead, the button arrangement should respect OS principles as much as possible.

I also like the idea of Adolfo to put both buttons into a dropdown button as shown in [2]. And both names are not self-explanatory, maybe the wording should be changed. But all this blows up this report.

[1] https://wiki.documentfoundation.org/Design/PropertyDialog
[2] https://bugs.documentfoundation.org/attachment.cgi?id=139478&action=edit
Comment 10 Heiko Tietze 2018-03-21 10:13:55 UTC
Created attachment 140769 [details]
Screenshot of the new layout

There are different dialogs depending on the regional setting (see sw/source/ui/fmtui/tmpdlg.cxx). Modified all so that we get

[Help] <---> [Reset] [Standard] [   ] [Ok] [Apply] [Cancel]

(Space between Standard and Ok is 12px; Standard is not available in all variants).

Patch at https://gerrit.libreoffice.org/#/c/51698/
Comment 11 Commit Notification 2018-03-26 13:00:00 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=447bb9aca601a5497f9e5632f654ae9e0a580e47

tdf#39312 Reorder buttons in “Paragraph Style” dialog

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Cor Nouws 2018-03-27 17:53:19 UTC
(In reply to Thomas Lendo from comment #9)
 
> I also like the idea of Adolfo to put both buttons into a dropdown button as
> shown in [2]. And both names are not self-explanatory, maybe the wording
> should be changed. But all this blows up this report.
> 
> [2] https://bugs.documentfoundation.org/attachment.cgi?id=139478&action=edit

For reference what the two items do (different to the attachment mentioned above):
  - Reset > resets the values on the active Tab to the state of when the dialog was opened (so a Cancel for Tab, without closing the dialog)
  - Standard > sets the values on the active Tab to the factory state